<?php

/**
 * @file
 * Bulk export of feeds_importer_default objects generated by Bulk export module.
 */

/**
 * Implements hook_feeds_importer_default().
 */
function joc_dashboards_feeds_importer_default() {
  $feeds_importers = array();

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'chart_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - RATES import',
    'description' => 'Import RATES to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'RATE',
            'target' => 'field_ratedecimal',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['chart_import'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'dashboards_indeces_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - INDECES import',
    'description' => 'Import INDECES to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'RATE',
            'target' => 'field_ratedecimal',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['dashboards_indeces_import'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'dashboards_percentages_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - PERCENTAGES import',
    'description' => 'Import PERCENTAGES to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'RATE',
            'target' => 'field_ratedecimal',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['dashboards_percentages_import'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'dashboards_revenue_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - REVENUE import',
    'description' => 'Import REVENUE to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'RATE',
            'target' => 'field_ratedecimal',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['dashboards_revenue_import'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'dashboards_trade_total_value_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - TOTAL_VALUE import',
    'description' => 'Import TOTAL_VALUE to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'DIRECTION',
            'target' => 'field_direction',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'CURRENCY_VALUE',
            'target' => 'field_currency_value',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'CURRENCY_MULTIPLIER',
            'target' => 'field_currency_multiplier',
            'unique' => FALSE,
          ),
          14 => array(
            'source' => 'VALUE',
            'target' => 'field_value',
            'unique' => FALSE,
          ),
          15 => array(
            'source' => 'VALUE',
            'target' => 'field_volume',
            'unique' => FALSE,
          ),
          16 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          17 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['dashboards_trade_total_value_import'] = $feeds_importer;

  $feeds_importer = new stdClass();
  $feeds_importer->disabled = FALSE; /* Edit this to true to make a default feeds_importer disabled initially */
  $feeds_importer->api_version = 1;
  $feeds_importer->id = 'dashboards_volume_import';
  $feeds_importer->config = array(
    'name' => 'Dashboards - VOLUME import',
    'description' => 'Import VOLUME to be later displayed with Charts module',
    'fetcher' => array(
      'plugin_key' => 'FeedsHTTPFetcher',
      'config' => array(
        'auto_detect_feeds' => FALSE,
        'use_pubsubhubbub' => FALSE,
        'designated_hub' => '',
        'request_timeout' => NULL,
        'auto_scheme' => 'http',
        'accept_invalid_cert' => FALSE,
      ),
    ),
    'parser' => array(
      'plugin_key' => 'FeedsCSVParser',
      'config' => array(
        'delimiter' => ',',
        'no_headers' => 0,
      ),
    ),
    'processor' => array(
      'plugin_key' => 'FeedsNodeProcessor',
      'config' => array(
        'bundle' => 'dashboard_charts',
        'update_existing' => '2',
        'expire' => '-1',
        'mappings' => array(
          0 => array(
            'source' => 'ID',
            'target' => 'guid',
            'unique' => 1,
          ),
          1 => array(
            'source' => 'ID',
            'target' => 'field_chart_id',
            'unique' => FALSE,
          ),
          2 => array(
            'source' => 'REGION',
            'target' => 'field_trade_lane',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          3 => array(
            'source' => 'DATA_FREQUENCY',
            'target' => 'field_data_frequency',
            'unique' => FALSE,
          ),
          4 => array(
            'source' => 'TYPE',
            'target' => 'field_type',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          5 => array(
            'source' => 'DATA_SOURCE',
            'target' => 'field_data_source',
            'unique' => FALSE,
          ),
          6 => array(
            'source' => 'DATA_SOURCE_URL',
            'target' => 'field_data_source_url',
            'unique' => FALSE,
          ),
          7 => array(
            'source' => 'UNIT',
            'target' => 'field_unit',
            'unique' => FALSE,
          ),
          8 => array(
            'source' => 'CHART_TYPE',
            'target' => 'field_dashboard',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          9 => array(
            'source' => 'DATA_SET',
            'target' => 'field_data_set',
            'term_search' => '0',
            'autocreate' => 1,
          ),
          10 => array(
            'source' => 'DATES',
            'target' => 'created',
            'unique' => FALSE,
          ),
          11 => array(
            'source' => 'VOLUME_UNIT',
            'target' => 'field_volume_unit',
            'unique' => FALSE,
          ),
          12 => array(
            'source' => 'VOLUME',
            'target' => 'field_volume',
            'unique' => FALSE,
          ),
          13 => array(
            'source' => 'Temporary target 1',
            'target' => 'field_import_type',
            'unique' => FALSE,
          ),
          14 => array(
            'source' => 'DATA_DESCRIPTION',
            'target' => 'field_data_description',
            'unique' => FALSE,
          ),
        ),
        'input_format' => 'wysiwyg',
        'author' => '1',
        'authorize' => 1,
        'skip_hash_check' => 0,
        'update_non_existent' => 'delete',
      ),
    ),
    'content_type' => '',
    'update' => 0,
    'import_period' => '43200',
    'expire_period' => 3600,
    'import_on_create' => 1,
    'process_in_background' => 0,
  );
  $feeds_importers['dashboards_volume_import'] = $feeds_importer;

  return $feeds_importers;
}